* {
  box-sizing: border-box;
}

html,
body {
  --rowMaxWidth: 80vw;
  --spacing: calc(1% + 1rem);
  --padding: calc(var(--spacing) * 1.5) var(--spacing);

  margin: 0;
  padding: 0;
  font-family: "Zilla Slab", -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-weight: 300;
  font-size: 18px;
  width: 100%;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
  overscroll-behavior: none;
}

.dino {
  pointer-events: none;
}

#map { position: absolute; top: 0; bottom: 0; left: 0; right: 0}

p {
  margin: 0;
}

a {
  text-decoration: none;
  color: rgba(0, 0, 0, 1);
  font-weight: 600;
  font-size: 1.1rem;
}

a:hover {
  text-decoration: underline;
}

nav a {
  margin-left: 2rem;
}

.row {
  width: 100%;
  max-width: var(--rowMaxWidth);
  margin: auto;
}

header {
  min-height: 80px;
  max-height: 160px;
  padding: calc(var(--spacing) * 0.65);
}

.logo-nav-wrap {
  align-items: center;
  justify-content: space-between;
  flex-direction: row;
}

.moz-logo {
  display: inline-block;
  width: 10rem;
  height: 4rem;
  align-items: center;
  display: flex;
}

.moz-logo,
.footer-moz-logo {
  background-image: url(/surf_2019/dist/img/moz-logo-bw-rgb.svg);
  background-repeat: no-repeat;
}

main,
.speakers {
  width: 100%;
  padding: var(--padding);
  min-height: 70vh;
}

main {
  background-image: url("../img/delft.jpg");
  background-size: cover;
  background-position: center center;
  font-weight: 300;
}

h1 {
  font-size: 3.3rem;
  font-weight: 700;
  margin: 0 0 calc(1% + 1rem) 0;
  display: inline-block;
  line-height: 100%;
  max-width: 80%;
}

h2 {
  font-size: 2rem;
  padding: 1%;
  font-weight: 500;
}

h4,
a.speaker-name-link {
  margin-bottom: 0.25rem;
  font-size: 1.5rem;
  font-weight: 600;
}

h5,
h6 {
  margin: 0 0 0.25rem 0;
  font-weight: 500;
  font-size: 1.1rem;
}

p {
  line-height: 160%;
}

.date-time-info {
  padding: 1%;
  background-color: rgba(0, 0, 0, 0.84);
  display: inline-block;
  color: rgba(255, 255, 255, 1);
  margin-bottom: var(--spacing);
}

.date-time {
  display: block;
  font-weight: 700;
  font-size: 1.75rem;
  white-space: nowrap;
}

.callout {
  width: 50%;
  max-width: 700px;
  font-size: 1.1rem;
}

p.par-space {
  padding-block: 1rem;
}

.bg-white {
  background-color: rgba(255, 255, 255, 1);
}

.bold {
  font-weight: 500;
}

.flx-cntr {
  display: flex;
  align-items: center;
  flex-direction: row;
}

.two-up {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
}

ul,
.venue-headline,
.date-time,
.bg-white {
  padding: 1%;
}

.bg-img {
  background-repeat: no-repeat;
  content: "";
}

.bg-light {
  background-color: rgb(249, 249, 250);
  padding: var(--padding);
}

.bg-dark {
  background-color: rgba(0, 0, 0, .9);
  padding: var(--padding);
  color: white;
}

/* agenda */

.time {
  font-size: 2rem;
  margin-block-start: 0;
  color: rgba(255, 255, 255, .5);
}

.talk-section {
  padding: 1%;
  margin: 1rem;
  border-bottom: 1px solid #ffff0052;
  flex: 1 1 23%;
  background-color: rgba(255, 255, 255, .1);
  border-radius: 1px;
}

#time-slots {
  display: flex;
}

.talk-section:first-of-type {
  display: none;
}

ul li {
  display: flex;
  flex-direction: column;
}

.agenda-speaker-list,
.description,
.font-size {
  font-size: 1.25rem;
}

.affiliation {
  font-weight: 100;
}



/* venue + participants */

.add-block-end-space {
  margin-block-end: 1rem;
}

.participants-headline,
.venue-headline {
  margin: 0;
}

#participants-list {
  font-size: 1.25rem;
  line-height: 100%;
}

.rel {
  position: relative;
  min-block-size: 25vh;
}

li {
  list-style-type: none;
  margin-bottom: 1rem;
}

/* speakers */
.speaker {
  width: 45%;
  padding: 1%;
  margin-bottom: calc(var(--spacing) * 2);
}

.speaker-bio {
  margin-top: 0.5rem;
  font-weight: 400;
  padding-right: 10%;
  line-height: 170%;
}

a.speaker-contact {
  background-color: black;
  border: 2px solid rgba(0, 0, 0, 1);
  color: white;
  border-radius: 4rem;
  padding: 0.5rem 2rem;
  display: inline-block;
  margin-top: 0.75rem;
  font-weight: 400;
  font-size: 1.1rem;
  letter-spacing: 0.01em;
}

a.speaker-contact:hover {
  text-decoration: none;
  background-color: rgba(0, 0, 0, 0);
  color: rgba(0, 0, 0, 1);
  transition: all 0.2s ease-in-out;
}

a.speaker-contact:active {
  border: 2px solid rgba(0, 0, 0, 0);
  background-color: rgba(0, 0, 0, 0.1);
  transition: all 0.2s ease-in-out;
}

/* particpants */

#participants svg {
  position: absolute;
  right: 0px;
  opacity: .05;
  filter: grayscale(100%);
  transform: scale(2);
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}

/* footer */

footer {
  padding: var(--padding);
  background-color: rgba(0, 0, 0, 1);
}

.footer-moz-logo {
  min-height: 2rem;
  inline-size: 6rem;
  display: block;
  background-repeat: no-repeat;
}

footer .row {
  padding: 1%;
  display: flex;
}

.footer-link {
  color: white;
}

.three-up {
  flex: 1 1 33.3333%;
  margin-top: 0;
  flex-wrap: wrap;
}



/* speaker images */

.speaker-image {
  height: 20rem;
  background-size: contain;
  background-position: bottom left;
}

.schanck {
  background-image: url("/surf_2019/dist/img/jschanck.jpg");
}

.jackson {
  background-image: url("/surf_2019/dist/img/dennisj.jpg");
}

.kersch {
  background-image: url("/surf_2019/dist/img/chris.jpeg");
}

.kief {
  background-image: url("/surf_2019/dist/img/franziskus.jpg");
}

.vandersloot {
  background-image: url("/surf_2019/dist/img/bvandersloot.jpg");
}

.beurdouche,
.weine,
.dino {
  background-image: url("../img/mozilla_logo.svg");
  opacity: .2;
}

.dino {
  background-position: center 10vh;
  background-repeat: no-repeat;
  opacity: .1;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  padding: var(--padding);
  background-size: contain;
}

#address {
  position: absolute;
  display: flex;
  flex-direction: column;
  padding: 2rem;
  bottom: 0;
  background: #eee;
  font-size: 1.25rem;
  font-weight: 400;
  z-index: 2;
}


@media screen and (max-width: 850px) {
  h1 {
    font-size: 2.7rem;
  }

  .callout {
    width: 100%;
  }

  .speaker {
    flex: 1 1 100%;
    margin: 5vh auto 2.5vh auto;
  }
}

@media screen and (max-width: 650px) {
  body {
    --rowMaxWidth: 88vw;
  }

  h1 {
    max-width: 100%;
    font-size: 2.5rem;
  }

  .date-time {
    font-size: 1.5rem;
  }

  header {
    padding: 1.5rem 0 1rem 0;
  }

  .logo-nav-wrap {
    flex-direction: column;
    align-items: flex-start;
  }

  .nav-link {
    margin-left: 0;
    margin-right: 1rem;
    font-size: 1rem;
  }

  p {
    font-size: 0.9rem;
  }

  footer .row {
    flex-wrap: wrap;
    flex-direction: column;
  }

  .moz-logo-wrap {
    margin-bottom: 2rem;
    max-height: 50px;
  }
}

@media screen and (max-width: 500px) {
  h1 {
    font-size: 2rem;
  }

  span {
    font-size: 1.25rem;
  }
}